Subject: Re: bug#75461: 30.0.93; Frequent (but inconsistent) hangs when creating frames

From: martin rudalics <[email-masked]>
Date: Sat, 22 Feb 2025 17:08:40 +0100

> I have no idea, it sounds like some issue with the window manager?
 > maybe martin (CC'ed) could help.

IIUC the garbage flag of a frame is set over and over again.  So I would
first try to put breakpoints on the four SET_FRAME_GARBAGED calls in
xterm.c as soon as you control Emacs from the debugger.  This should
tell whether the window manager is causing it.  Next I would try the
calls in xdisp.c.  Simply lean on the c button in GDB.  If the culprit
is there, it should still be there when you release the button after a
while.  But wait: Eli might think that this is a silly idea.

martin